Title OSError: [Errno 1] Operation not permitted (os.symlink)
Priority bug Status resolved
Superseder Nosy List kayhayen,
Assigned To kayhayen Keywords compiler_crash

Created on 2017-02-01.11:19:18 by, last changed by kayhayen.

msg2188 (view) Author: kayhayen Date: 2017-07-19.09:35:55
A workaround was implemented and released.
msg2123 (view) Author: Date: 2017-02-02.12:34:39
Got a workaround - use the --output-dir param to push the build files to a location 
which supports symlinks. Not ideal but seems to work fine as can script the copy-
back to the right folder after a successful build
msg2122 (view) Author: Date: 2017-02-02.11:30:00
Double checked and you're absolutely right - I'd forgotten that the source code 
was on an encrypted partition formatted msdos.

Fallback would be great but perhaps also a log message which denotes what the 
source and dest are in that operation, so helping to give a clue about where what 
the exception is about?
msg2121 (view) Author: kayhayen Date: 2017-02-02.07:44:55
Very strange, could it be that you are compiling in a file system that doesn't support 
symlinks, say fat or so? The 16.04 should be supported.

I can include a fallback to not use symlinks when it fails, but let me have an idea, how 
this can happen in the first place.

msg2120 (view) Author: Date: 2017-02-01.11:19:18
All compile requests end with error (even with a simple print("hello") script 
with no imports).

I get the following on compile (have even tried compiling with sudo and directly 
as root):
OSError: [Errno 1] Operation not permitted:
  File "/usr/local/lib/python3.5/dist-packages/nuitka/build/SingleExe.scons", 
line 1518:
    source_files = discoverSourceFiles()
  File "/usr/local/lib/python3.5/dist-packages/nuitka/build/SingleExe.scons", 
line 1344:
  File "/usr/local/lib/python3.5/dist-packages/nuitka/build/SingleExe.scons", 
line 1318:
    cheap_copy(source_file, target_file)
  File "/usr/local/lib/python3.5/dist-packages/nuitka/build/SingleExe.scons", 
line 1306:

I'm guessing there's a file or path missing but no indication of what or where 
the symlink failure is happening.

Command being run:
nuitka --plugin-enable=pylint-warnings --recurse-all --standalone --

Ubuntu 16.04, Nuitka 0.5.25, Python 3.5 (2.7 also installed)
Date User Action Args
2017-07-19 09:35:55kayhayensetstatus: chatting -> resolved
messages: + msg2188
keyword: + compiler_crash
2017-02-02 12:34:39rex.devsetmessages: + msg2123
2017-02-02 11:30:01rex.devsetmessages: + msg2122
2017-02-02 07:50:28kayhayensetassignedto: kayhayen
nosy: + kayhayen
2017-02-02 07:44:55kayhayensetstatus: unread -> chatting
messages: + msg2121
2017-02-01 11:19:18rex.devcreate